Subject: Re: [PATCH 1/2] irqchip: irq-meson-gpio: make it possible to build as a module

From: Kevin Hilman <[email-masked]>
Date: Tue, 25 May 2021 09:17:20 -0700

Marc Zyngier <[email-masked]> writes:

> On Fri, 21 May 2021 10:47:48 +0100,
> Lee Jones <[email-masked]> wrote:
>> 
>> [1  <text/plain; UTF-8 (quoted-printable)>]
>> On Tue, 20 Oct 2020 at 19:23, Kevin Hilman <[email-masked]> wrote:
>> 
>> > Neil Armstrong <[email-masked]> writes:
>> >
>> > > In order to reduce the kernel Image size on multi-platform distributions,
>> > > make it possible to build the Amlogic GPIO IRQ controller as a module
>> > > by switching it to a platform driver.
>> > >
>> > > Signed-off-by: Neil Armstrong <[email-masked]>
>> >
>> > Reviewed-by: Kevin Hilman <[email-masked]>
>> > Tested-by: Kevin Hilman <[email-masked]>
>> >
>> > Tested as a module on meson-sm1-khadas-vim3l where the wired networking
>> > uses GPIO IRQs.
>> >
>> 
>> Good morning Neil, Kevin,
>> 
>> What happened to this set in the end?  I still don't see it in Mainline.
>
> Last time I tried this patch, it broke my test setup in non-obvious
> ways. Has someone checked that the issue I reported back then has been
> resolved now that fw_devlink is more usable?

Not yet, that's (still) on my TODO list... (well, TBH, I forgot about
it, but I'll have another look.)

Kevin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel